Hashrate IndexAPI DocumentationAsic
Get ASIC Rig Break-Even Cost
/asic/break-even-cost has rate limitation:
Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.
ASIC Rig Break-Even Cost
This endpoint returns the break-even cost for select rig models: S19, S21, M30, M20 and, M60.
Authorization
ApiKeyAuth X-Hi-Api-Key<token>
In: header
Query Parameters
span?string
Time span
Default
"1M"Value in
- "1D"
- "7D"
- "1M"
- "3M"
- "1Y"
- "5Y"
- "ALL"
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/asic/break-even-cost?span=1D"{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICBreakEvenCostData.json", "data": [ { "cost": 0.1, "modelName": "string", "timestamp": "2019-08-24T14:15:22Z" } ]}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}